Bug 1264848 - "bugzilla login" cannot handle unicode passwords
"bugzilla login" cannot handle unicode passwords
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: python-bugzilla (Show other bugs)
rawhide
All All
high Severity high
: ---
: ---
Assigned To: Cole Robinson
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-09-21 07:16 EDT by Jiri Jaburek
Modified: 2015-10-03 07:49 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-09-22 21:09:56 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jiri Jaburek 2015-09-21 07:16:34 EDT
Description of problem:

When I try to log in (after recent password requirements change on bugzilla.redhat.com), I get

'ascii' codec can't encode character u'\u030e' in position 224: ordinal not in range(128)


Version-Release number of selected component (if applicable):
python-bugzilla-1.2.1-1.fc22.noarch

How reproducible:
always

Steps to Reproduce:
1. try to log in with a non-ascii password

Actual results:
bugzilla login fails with an error message

Expected results:
bugzilla login successfully logs in

Additional info:
Comment 1 Cole Robinson 2015-09-21 17:07:04 EDT
Thanks for the report. I can reproduce with the fedora packages but upstream is fixed. Seems it was fixed as a side effect of this commit:

commit 71fb59e7ec1dcb1237b5586755f5d4801e7bb648
Author: Arun Babu Neelicattu <arun.neelicattu@gmail.com>
Date:   Thu Jul 23 14:53:28 2015 +1000

    Remove workaround for requests < 2.0 on python 3
Comment 2 Cole Robinson 2015-09-22 21:09:56 EDT
Fixed in python-bugzilla-1.2.2-1.fc24

Note You need to log in before you can comment on or make changes to this bug.